function c = fun_mix_cnv(theta)

global v0
n = length(v0);
base_line = log2([.5;1;1.5;2]);
mc = (length(theta)-1)/2;
shift = theta(1);
m = base_line+shift;
w = exp(theta(2:1+mc));
w = w/sum(w);
s = theta(2+mc:1+2*mc);

f = zeros(n,mc);
for i=1:mc
    f(:,i) = w(i)*normpdf(v0,m(i),s(i));
end
c = -sum(log(sum(f,2)));
